PDF::API2::Outline(3)

NAME
PDF::API2::Outline - Manage PDF outlines (a.k.a. bookmarks)

METHODS

$outline = PDF::API2::Outline->new($api, $parent, $prev)
    Returns a new outline object (called from $outlines->outline()).

$outline->title($text)
    Set the title of the outline.

$outline->closed()
    Set the status of the outline to closed (i.e. collapsed).

$outline->open()
    Set the status of the outline to open (i.e. expanded).

$child_outline = $parent_outline->outline()
    Returns a nested outline.

$outline->dest($page_object, %position)
    Sets the destination page and optional position of the outline.

    %position can be any of the following:

    -fit => 1
        Display the page designated by page, with its contents magnified just enough to fit the entire page within the window both horizontally and vertically. If the required horizontal and vertical magnification factors are different, use the smaller of the two, centering the page within the window in the other dimension.

    -fith => $top
        Display the page designated by page, with the vertical coordinate $top positioned at the top edge of the window and the contents of the page magnified just enough to fit the entire width of the page within the window.

    -fitv => $left
        Display the page designated by page, with the horizontal coordinate $left positioned at the left edge of the window and the contents of the page magnified just enough to fit the entire height of the page within the window.

    -fitr => [$left, $bottom, $right, $top]
        Display the page designated by page, with its contents magnified just enough to fit the rectangle specified by the coordinates $left, $bottom, $right, and $top entirely within the window both horizontally and vertically. If the required horizontal and vertical magnification factors are different, use the smaller of the two, centering the rectangle within the window in the other dimension.

    -fitb => 1
        Display the page designated by page, with its contents magnified just enough to fit its bounding box entirely within the window both horizontally and vertically. If the required horizontal and vertical magnification factors are different, use the smaller of the two, centering the bounding box within the window in the other dimension.

    -fitbh => $top
        Display the page designated by page, with the vertical coordinate $top positioned at the top edge of the window and the contents of the page magnified just enough to fit the entire width of its bounding box within the window.

    -fitbv => $left
        Display the page designated by page, with the horizontal coordinate $left positioned at the left edge of the window and the contents of the page magnified just enough to fit the entire height of its bounding box within the window.

    -xyz => [$left, $top, $zoom]
        Display the page designated by page, with the coordinates ($left, $top) positioned at the top-left corner of the window and the contents of the page magnified by the factor $zoom. A zero (0) value for any of the parameters $left, $top, or $zoom specifies that the current value of that parameter is to be retained unchanged.

$outline->dest($name)
    Connect the outline to a "Named Destination" defined elsewhere.

$outline->url($url)
    Launch $url when the outline item is activated.

$outline->file($filename)
    Launch an application or file when the outline item is activated

$outline->pdf_file($filename, $page_number, %position)
    Open a PDF file to a particular page number (first page is zero, which is also the default). The page can optionally be positioned at a particular place in the viewport (see dest for details).